com.io7m.smfj.bytebuffer

## Class SMFByteBufferPackedAttribute.Builder

- java.lang.Object
- - com.io7m.smfj.bytebuffer.SMFByteBufferPackedAttribute.Builder

- Enclosing class:
    SMFByteBufferPackedAttribute

      public static final class SMFByteBufferPackedAttribute.Builder
      extends Object

  Builds instances of type `SMFByteBufferPackedAttribute`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFByteBufferPackedAttribute` | `build()` Builds a new `SMFByteBufferPackedAttribute`.
    `SMFByteBufferPackedAttribute.Builder` | `from(SMFByteBufferPackedAttributeType instance)` Fill a builder with attribute values from the provided `SMFByteBufferPackedAttributeType` instance.
    `SMFByteBufferPackedAttribute.Builder` | `setAttribute(SMFAttribute attribute)` Initializes the value for the `attribute` attribute.
    `SMFByteBufferPackedAttribute.Builder` | `setOffsetOctets(int offsetOctets)` Initializes the value for the `offsetOctets` attribute.
    `SMFByteBufferPackedAttribute.Builder` | `setOrder(int order)` Initializes the value for the `order` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFByteBufferPackedAttribute.Builder from(SMFByteBufferPackedAttributeType instance)

      Fill a builder with attribute values from the provided `SMFByteBufferPackedAttributeType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setAttribute

          public final SMFByteBufferPackedAttribute.Builder setAttribute(SMFAttribute attribute)

      Initializes the value for the `attribute` attribute.
      Parameters:
        `attribute` - The value for attribute
      Returns:
        `this` builder for use in a chained invocation

    - #### setOrder

          public final SMFByteBufferPackedAttribute.Builder setOrder(int order)

      Initializes the value for the `order` attribute.
      Parameters:
        `order` - The value for order
      Returns:
        `this` builder for use in a chained invocation

    - #### setOffsetOctets

          public final SMFByteBufferPackedAttribute.Builder setOffsetOctets(int offsetOctets)

      Initializes the value for the `offsetOctets` attribute.
      Parameters:
        `offsetOctets` - The value for offsetOctets
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFByteBufferPackedAttribute build()

      Builds a new `SMFByteBufferPackedAttribute`.
      Returns:
        An immutable instance of SMFByteBufferPackedAttribute
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com